/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.stratos.common.beans.cartridge;

import org.apache.stratos.common.beans.application.DependencyBean;

import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.util.List;

@XmlRootElement(name = "groups")
public class CartridgeGroupBean implements Serializable {

    private static final long serialVersionUID = 4696832597498594267L;

    private String name;
    private List<CartridgeGroupBean> groups;
    private List<String> cartridges;
    private DependencyBean dependencies;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<String> getCartridges() {
        return cartridges;
    }

    public void setCartridges(List<String> cartridges) {
        this.cartridges = cartridges;
    }

    public DependencyBean getDependencies() {
        return dependencies;
    }

    public void setDependencies(DependencyBean dependencies) {
        this.dependencies = dependencies;
    }

    public List<CartridgeGroupBean> getGroups() {
        return groups;
    }

    public void setGroups(List<CartridgeGroupBean> groups) {
        this.groups = groups;
    }
}
