/*
 * Licensed to the Apache Software Foundation (ASF) under one 
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY 
 * KIND, either express or implied.  See the License for the 
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.stratos.load.balancer.util;

public class LoadBalancerConstants {

    public static final String CLUSTER_ID = "cluster_id";
    public static final String MEMBER_ID = "member_id";

    public static final String HTTP = "http";
    public static final String HTTPS = "https";

    public static final String AXIS2_MSG_CTX_TRANSPORT_IN_URL = "TransportInURL";
    public static final String AXIS2_MSG_CTX_SERVICE_PREFIX = "SERVICE_PREFIX";

    public static final String LB_TARGET_HOSTNAME = "LB_TARGET_HOSTNAME";
    public static final String LB_HTTP_PORT = "LB_HTTP_PORT";
    public static final String LB_HTTPS_PORT = "LB_HTTPS_PORT";

    public static final String LOAD_BALANCER_THREAD_POOL_ID = "load.balancer.thread.pool";
    public static final String LOAD_BALANCER_THREAD_POOL_SIZE_KEY = "load.balancer.thread.pool.size";
    public static final int LOAD_BALANCER_DEFAULT_THREAD_POOL_SIZE = 20;
    public static final String CLUSTER_HOSTNAME = "CLUSTER_HOSTNAME";
}
